from enum import Enum


class PowerPortTemplateTypeType0Label(str, Enum):
    C14 = "C14"
    C16 = "C16"
    C20 = "C20"
    C22 = "C22"
    C6 = "C6"
    C8 = "C8"
    CS6361C = "CS6361C"
    CS6365C = "CS6365C"
    CS8165C = "CS8165C"
    CS8265C = "CS8265C"
    CS8365C = "CS8365C"
    CS8465C = "CS8465C"
    DC_TERMINAL = "DC Terminal"
    HARDWIRED = "Hardwired"
    IEC_60906_1 = "IEC 60906-1"
    ITA_TYPE_C_CEE_716 = "ITA Type C (CEE 7/16)"
    ITA_TYPE_EF_CEE_77 = "ITA Type E/F (CEE 7/7)"
    ITA_TYPE_E_CEE_76 = "ITA Type E (CEE 7/6)"
    ITA_TYPE_F_CEE_74 = "ITA Type F (CEE 7/4)"
    ITA_TYPE_G_BS_1363 = "ITA Type G (BS 1363)"
    ITA_TYPE_H = "ITA Type H"
    ITA_TYPE_I = "ITA Type I"
    ITA_TYPE_J = "ITA Type J"
    ITA_TYPE_K = "ITA Type K"
    ITA_TYPE_L_CEI_23_50 = "ITA Type L (CEI 23-50)"
    ITA_TYPE_M_BS_546 = "ITA Type M (BS 546)"
    ITA_TYPE_N = "ITA Type N"
    ITA_TYPE_O = "ITA Type O"
    NEMA_10_30P = "NEMA 10-30P"
    NEMA_10_50P = "NEMA 10-50P"
    NEMA_14_20P = "NEMA 14-20P"
    NEMA_14_30P = "NEMA 14-30P"
    NEMA_14_50P = "NEMA 14-50P"
    NEMA_14_60P = "NEMA 14-60P"
    NEMA_15_15P = "NEMA 15-15P"
    NEMA_15_20P = "NEMA 15-20P"
    NEMA_15_30P = "NEMA 15-30P"
    NEMA_15_50P = "NEMA 15-50P"
    NEMA_15_60P = "NEMA 15-60P"
    NEMA_1_15P = "NEMA 1-15P"
    NEMA_5_15P = "NEMA 5-15P"
    NEMA_5_20P = "NEMA 5-20P"
    NEMA_5_30P = "NEMA 5-30P"
    NEMA_5_50P = "NEMA 5-50P"
    NEMA_6_15P = "NEMA 6-15P"
    NEMA_6_20P = "NEMA 6-20P"
    NEMA_6_30P = "NEMA 6-30P"
    NEMA_6_50P = "NEMA 6-50P"
    NEMA_L10_30P = "NEMA L10-30P"
    NEMA_L14_20P = "NEMA L14-20P"
    NEMA_L14_30P = "NEMA L14-30P"
    NEMA_L14_50P = "NEMA L14-50P"
    NEMA_L14_60P = "NEMA L14-60P"
    NEMA_L15_20P = "NEMA L15-20P"
    NEMA_L15_30P = "NEMA L15-30P"
    NEMA_L15_50P = "NEMA L15-50P"
    NEMA_L15_60P = "NEMA L15-60P"
    NEMA_L1_15P = "NEMA L1-15P"
    NEMA_L21_20P = "NEMA L21-20P"
    NEMA_L21_30P = "NEMA L21-30P"
    NEMA_L22_30P = "NEMA L22-30P"
    NEMA_L5_15P = "NEMA L5-15P"
    NEMA_L5_20P = "NEMA L5-20P"
    NEMA_L5_30P = "NEMA L5-30P"
    NEMA_L5_50P = "NEMA L5-50P"
    NEMA_L6_15P = "NEMA L6-15P"
    NEMA_L6_20P = "NEMA L6-20P"
    NEMA_L6_30P = "NEMA L6-30P"
    NEMA_L6_50P = "NEMA L6-50P"
    NEUTRIK_POWERCON_20A = "Neutrik powerCON (20A)"
    NEUTRIK_POWERCON_32A = "Neutrik powerCON (32A)"
    NEUTRIK_POWERCON_TRUE1 = "Neutrik powerCON TRUE1"
    NEUTRIK_POWERCON_TRUE1_TOP = "Neutrik powerCON TRUE1 TOP"
    OTHER = "Other"
    PNE_4H = "P+N+E 4H"
    PNE_6H = "P+N+E 6H"
    PNE_9H = "P+N+E 9H"
    SAF_D_GRID = "Saf-D-Grid"
    UBIQUITI_SMARTPOWER = "Ubiquiti SmartPower"
    USB_3_0_MICRO_B = "USB 3.0 Micro B"
    USB_3_0_TYPE_B = "USB 3.0 Type B"
    USB_MICRO_A = "USB Micro A"
    USB_MICRO_AB = "USB Micro AB"
    USB_MICRO_B = "USB Micro B"
    USB_MINI_A = "USB Mini A"
    USB_MINI_B = "USB Mini B"
    USB_TYPE_A = "USB Type A"
    USB_TYPE_B = "USB Type B"
    USB_TYPE_C = "USB Type C"
    VALUE_10 = "2P+E 6H"
    VALUE_11 = "2P+E 9H"
    VALUE_12 = "3P+E 4H"
    VALUE_13 = "3P+E 6H"
    VALUE_14 = "3P+E 9H"
    VALUE_15 = "3P+N+E 4H"
    VALUE_16 = "3P+N+E 6H"
    VALUE_17 = "3P+N+E 9H"
    VALUE_19 = "2P+T 10A (NBR 14136)"
    VALUE_20 = "2P+T 20A (NBR 14136)"
    VALUE_9 = "2P+E 4H"

    def __str__(self) -> str:
        return str(self.value)
